Skip to main content
`Ctrl`+`K`

# DMStagGetGhostCorners

return global element indices of the local region, including ghost points

## Synopsis

    #include "petscdmstag.h"
    #include "petscdmproduct.h"
    PetscErrorCode DMStagGetGhostCorners(DM dm, PetscInt *x, PetscInt *y, PetscInt *z, PetscInt *m, PetscInt *n, PetscInt *p)

Not Collective

## Input Parameter

- dm - the `DMSTAG` object

## Output Parameters

- x - the starting element index in the first direction

- y - the starting element index in the second direction

- z - the starting element index in the third direction

- m - the element width in the first direction

- n - the element width in the second direction

- p - the element width in the third direction

## Note

Arguments corresponding to higher dimensions are ignored for 1D and 2D grids. These arguments may be set to `NULL` in this case.

## See Also

DMSTAG: Staggered, Structured Grid, `DMSTAG`, `DMStagGetCorners()`, `DMDAGetGhostCorners()`

## Level

beginner

## Location

src/dm/impls/stag/stagutils.c

## Examples

src/dm/impls/stag/tutorials/ex4.c

Index of all DMStag routines
Table of Contents for all manual pages
Index of all manual pages